import { AbstractDeleteTransactionHander } from "../AbstractDeleteTransactionHander";
export class DeleteErrorTransactionHandler extends AbstractDeleteTransactionHander {
    removeDefinition(transaction) {
        // eslint-disable-next-line @typescript-eslint/no-dynamic-delete
        delete this.definition.errors[transaction.errorId];
    }
    removeFromParent(transaction) {
        const parentId = this.graph.getErrorParent(transaction.errorId);
        const parent = this.getPackageOrThrow(parentId);
        const indexOfError = parent.errors.indexOf(transaction.errorId);
        if (indexOfError === -1) {
            throw new Error(`Error ${transaction.errorId} does not exist in parent ${parentId}`);
        }
        parent.errors.splice(indexOfError, 1);
    }
    removeFromGraph(transaction) {
        this.graph.deleteError(transaction.errorId);
    }
}
